Problem with making the game on win7 x64

Get technical support about the C++ source code and about Lua scripts for maps, entities, GUIs, the console, materials, etc. Also covered are the Cafu libraries and APIs, as well as compiling, linking, and the build system.
User avatar
bigjj13
Posts: 68
Joined: 2010-04-04, 19:16
Location: Germany
Contact:

Problem with making the game on win7 x64

Post by bigjj13 » 2010-04-04, 19:23

Hi,

My problem is, that it is not possible to install scons 1.3.0 on my Python 2.6.5.
My computer has Win 7 X64 Ultimate.
Im using Visual Studio 2008.

Is there an other way to comply the script?
Or is there a solution for my install problem? :(

Thanks for any aswers! :)

Bigjj
Last edited by bigjj13 on 2010-04-26, 14:47, edited 3 times in total.
BigJJ -- SG-O
Image
User avatar
Carsten
Site Admin
Posts: 2160
Joined: 2004-08-19, 13:46
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by Carsten » 2010-04-05, 14:00

Hi Bigjj,
welcome to the Cafu forums! :welcome:
My problem is, that it is not possible to install scons 1.3.0 on my Python 2.6.5.
Well, why?
Or is there a solution for my install problem? :(
I'm confident there is, but you have to provide more details - the most important of which is why you cannot install scons after you installed python.
Best regards,
Carsten
User avatar
bigjj13
Posts: 68
Joined: 2010-04-04, 19:16
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by bigjj13 » 2010-04-05, 16:20

Hi,

I tried to install manualy, but cmd.exe cant find Python.
  • C:\Downloads\Software\scons-1.3.0>python setup.py install
    Der Befehl "python" ist entweder falsch geschrieben oder
    konnte nicht gefunden werden.
The exe installer did't work,too. :cry:

I tried to install it with python but nothing happened.
  • C:\Python26>python C:\Downloads\Software\scons-1.3.0\setup.py install
    running install
    running build
    running build_py
    running build_scripts
    running install_lib
    running install_scripts
    copying script/scons -> C:\Python26\Scripts\scons-1.3.0
    copying script/scons -> C:\Python26\Scripts
    copying script/sconsign -> C:\Python26\Scripts\sconsign-1.3.0
    copying script/sconsign -> C:\Python26\Scripts
    copying script/scons-time -> C:\Python26\Scripts\scons-time-1.3.0
    copying script/scons-time -> C:\Python26\Scripts
    copying script/scons.bat -> C:\Python26
    copying script/scons.bat -> C:\Python26\scons-1.3.0.bat
    running install_data
    running install_egg_info
    Removing C:\Python26\scons-1.3.0\scons-1.3.0-py2.6.egg-info
    Writing C:\Python26\scons-1.3.0\scons-1.3.0-py2.6.egg-info
    Installed SCons library modules into C:\Python26\scons-1.3.0
    Installed SCons scripts into C:\Python26\Scripts
I googled for a solution but I didn't find one.
I dont know why I cant install scons.

Thanks,
Bigjj
BigJJ -- SG-O
Image
User avatar
bigjj13
Posts: 68
Joined: 2010-04-04, 19:16
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by bigjj13 » 2010-04-05, 17:39

HI

I installed Scons!!!! :D
(Installed it before, but I used Python (command line) to execute "scons -v".

But now there is a new Problem:
I cant compile cafu.

I used cmd.exe.
  • C:\Cafu-src-r39>C:\Python26\scons -Q
    ValueError: Unrecognized version 9.0Exp:
    File "C:\Cafu-src-r39\SConstruct", line 6:
    Decider("MD5-timestamp")
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Script\SConscript.py", line 614:
    env = self.factory()
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Script\SConscript.py", line 594:
    default_env = SCons.Defaults.DefaultEnvironment()
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Defaults.py", line 91:
    _default_env = apply(SCons.Environment.Environment, args, kw)
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Environment.py",
    line 1008:
    apply_tools(self, tools, toolpath)
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Environment.py",
    line 107:
    env.Tool(tool)
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Environment.py",
    line 1707:
    tool(self)
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Tool\__init__.py",
    line 181:
    apply(self.generate, ( env, ) + args, kw)
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Tool\default.py",
    line 41:
    SCons.Tool.Tool(t)(env)
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Tool\__init__.py",
    line181:
    apply(self.generate, ( env, ) + args, kw)
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Tool\mslink.py",
    line 242:
    msvc_setup_env_once(env)
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Tool\MSCommon\vc.py",
    line 330:
    msvc_setup_env(env)
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Tool\MSCommon\vc.py",
    line 371:
    if not is_host_target_supported(host_target, version):
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Tool\MSCommon\vc.py",
    line 170:
    maj, min = msvc_version_to_maj_min(msvc_version)
    File "C:\Python26\Lib\site-packages\scons-1.3.0\SCons\Tool\MSCommon\vc.py",
    line 149:
    raise ValueError("Unrecognized version %s" % msvc_version)
Thanks for all
Bigjj
BigJJ -- SG-O
Image
User avatar
Carsten
Site Admin
Posts: 2160
Joined: 2004-08-19, 13:46
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by Carsten » 2010-04-05, 23:51

Hi Bigjj,

can you please try the brand new 1.3.0.d20100404 release of SCons from http://www.scons.org/download.php ?
This should fix the problem. Sorry for the trouble, and please let us know if it works! :up:
Best regards,
Carsten
User avatar
bigjj13
Posts: 68
Joined: 2010-04-04, 19:16
Location: Germany
Contact:

error with Compiling

Post by bigjj13 » 2010-04-06, 09:08

Hi,
Didn't work,too... :(

This time cmd.exe told me:
  • C:\Cafu-src-r39>C:\Python26\scons -Q cmp=vc9
    NameError: global name 'msvc_version_numeric' is not defined:
    File "C:\Cafu-src-r39\SConstruct",
    line 6: Decider("MD5-timestamp")

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Script\SConscript.py",
    line 614: env = self.factory()

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Script\SConscript.py",
    line 594: default_env = SCons.Defaults.DefaultEnvironment()

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Defaults.py",
    line 91: _default_env = apply(SCons.Environment.Environment, args, kw)

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Environment.py",
    line 1008: apply_tools(self, tools, toolpath)

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Environment.py",
    line 107: env.Tool(tool)

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Environment.py",
    line 1707: tool(self)

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Tool\__init__.py",
    line 181:apply(self.generate, ( env, ) + args, kw)

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Tool\default.py",
    line 41: SCons.Tool.Tool(t)(env)

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Tool\__init__.py",
    line 181: apply(self.generate, ( env, ) + args, kw)

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Tool\mslink.py",
    line 242: msvc_setup_env_once(env)

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Tool\MSCommon\vc.py",
    line 332: msvc_setup_env(env)

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Tool\MSCommon\vc.py",
    line 373: if not is_host_target_supported(host_target, version):

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Tool\MSCommon\vc.py",
    line 172: maj, min = msvc_version_to_maj_min(msvc_version)

    File "C:\Python26\scons-1.3.0.d20100404\SCons\Tool\MSCommon\vc.py",
    line 143: t = msvc_version_numeric.split(".")
Thanks for any help,
Bigjj
BigJJ -- SG-O
Image
User avatar
Carsten
Site Admin
Posts: 2160
Joined: 2004-08-19, 13:46
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by Carsten » 2010-04-06, 13:05

Dear Bigjj,

I think you've found a bug in SCons, and I've posted an appropriate message at the SCons mailing list, see http://scons.tigris.org/ds/viewMessage. ... Id=2498308 for details.
The SCons devs are very nice and they spend a lot of effort with making SCons work better with the Visual Studio compilers, so I'm positive that they'll reply soon.


In the meanwhile, as you're using r39 from the zip file (a new version will be uploaded soon), could you please insert

Code: Select all

 envCommon.Tool('mssdk')
in file SConstruct in line 111 after

Code: Select all

        # Begin with an environment with settings that are common for debug, release and profile builds.
        envCommon=Environment(
            CCFLAGS = Split("/nologo /GR /EHsc"),   # CCFLAGS is also taken as the default value for CXXFLAGS.
            CPPDEFINES = ["_CRT_SECURE_NO_DEPRECATE", "_CRT_NONSTDC_NO_DEPRECATE"],
            LINKFLAGS = Split("/nologo /incremental:no"))
That is, insert the above statement so that the complete section of code looks like this:

Code: Select all

        # Begin with an environment with settings that are common for debug, release and profile builds.
        envCommon=Environment(
            CCFLAGS = Split("/nologo /GR /EHsc"),   # CCFLAGS is also taken as the default value for CXXFLAGS.
            CPPDEFINES = ["_CRT_SECURE_NO_DEPRECATE", "_CRT_NONSTDC_NO_DEPRECATE"],
            LINKFLAGS = Split("/nologo /incremental:no"))

        envCommon.Tool('mssdk')
(You don't have to do that if you get the latest revision from the SVN repository instead.)

Many thanks for your patience! I'll keep you informed as soon as there is a reply at the SCons mailing list. :D
Best regards,
Carsten
User avatar
bigjj13
Posts: 68
Joined: 2010-04-04, 19:16
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by bigjj13 » 2010-04-06, 17:03

Hi,

Now cmd.exe told me :
  • C:\Cafu-src-r39>C:\Python26\scons -q
    scons: Reading SConscript files ...
    File "C:\Cafu-src-r39\SConstruct", line 111

    envCommon.Tool('mssdk')

    ^

    IndentationError: unexpected indent
Thanks for all,
Bigjj
BigJJ -- SG-O
Image
User avatar
Carsten
Site Admin
Posts: 2160
Joined: 2004-08-19, 13:46
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by Carsten » 2010-04-06, 18:16

bigjj13 wrote: envCommon.Tool('mssdk')
IndentationError: unexpected indent
:oopsp: Sorry. Please make sure that the newly inserted line has as many leading spaces as the envCommon=Environment(... line that is preceding it, just as shown in the example above.

Also, here is how you can fix the first problem:
Open your file C:\Python26\scons-1.3.0.d20100404\SCons\Tool\MSCommon\vc.py and replace line 143

Code: Select all

t = msvc_version_numeric.split(".")
with

Code: Select all

t = msvc_ver_numeric.split(".")
Save and re-run SCons, it should work now!
Best regards,
Carsten
User avatar
bigjj13
Posts: 68
Joined: 2010-04-04, 19:16
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by bigjj13 » 2010-04-06, 19:17

Hi,

didn't work again.

SConstruct:

Code: Select all

# Identical to the compiler switches for Visual C++ 2005, see there for more details.

        # Begin with an environment with settings that are common for debug, release and profile builds.
        envCommon=Environment(
            CCFLAGS = Split("/nologo /GR /EHsc"),   # CCFLAGS is also taken as the default value for CXXFLAGS.
            CPPDEFINES = ["_CRT_SECURE_NO_DEPRECATE", "_CRT_NONSTDC_NO_DEPRECATE"],
            LINKFLAGS = Split("/nologo /incremental:no"))

		envCommon.Tool('mssdk')

        # Environment for debug builds:
        envDebug=envCommon.Clone();
        envDebug.Append(CCFLAGS=Split("/MTd /Od /Z7 /RTC1"));
        envDebug.Append(LINKFLAGS=["/debug"]);
C:\Cafu-src-r39>C:\Python26\scons -q
scons: Reading SConscript files ...
File "C:\Cafu-src-r39\SConstruct", line 112

envCommon.Tool('mssdk')

^

IndentationError: unexpected indent
cmd.exe told me
Thanks,
Bigjj
BigJJ -- SG-O
Image
User avatar
Carsten
Site Admin
Posts: 2160
Joined: 2004-08-19, 13:46
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by Carsten » 2010-04-06, 19:34

Hi Bigjj,

ok, no problem, just download the complete and correct file from http://trac.cafu.de/export/47/cafu/trunk/SConstruct and copy it over yours.

(Alternatively, you can see the file and how it should look like at http://trac.cafu.de/browser/cafu/trunk/SConstruct.)
Best regards,
Carsten
User avatar
bigjj13
Posts: 68
Joined: 2010-04-04, 19:16
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by bigjj13 » 2010-04-06, 19:38

Hi

new error,
  • C:\Cafu-src-r39>C:\Python26\scons -q
    scons: Reading SConscript files ...

    os.chdir('ExtLibs/wxWidgets/build/msw')
    nmake /nologo /f makefile.vc BUILD=debug SHARED=0 USE_OPENGL=1 RUNTIME_LIBS=stat
    ic COMPILER_PREFIX=vc9
    Der Befehl "nmake" ist entweder falsch geschrieben oder
    konnte nicht gefunden werden.
    os.chdir('C:\\Cafu-src-r39')
    scons: *** Error 1

    Thanks
    Bigjj
BigJJ -- SG-O
Image
User avatar
Carsten
Site Admin
Posts: 2160
Joined: 2004-08-19, 13:46
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by Carsten » 2010-04-06, 21:06

bigjj13 wrote:new error,
Hmmm - I'm surprised, but we're getting closer! :cheesy:

Please do the following:
Before you run scons at the command line, set SCONS_MSCOMMON_DEBUG to - (hyphen, Minuszeichen), that is, enter

Code: Select all

set SCONS_MSCOMMON_DEBUG=-
before you run scons. It will output what it is doing at startup (if you replace the "-" by an arbitrary file name, the output will be written into the file instead). Then please post that output here as well.
Der Befehl "nmake" ist entweder falsch geschrieben oder
konnte nicht gefunden werden.
This is somewhat unusual, but the above output should indicate the reason for it.

Sorry for all the trouble, normally the compiling of Cafu is a very simple process. I'm very grateful for your feedback though - as these errors don't occur on my own machine, your feedback helps fixing them for others as well.
:up:
Best regards,
Carsten
User avatar
bigjj13
Posts: 68
Joined: 2010-04-04, 19:16
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by bigjj13 » 2010-04-06, 21:39

Hi,
Please do the following:
Before you run scons at the command line, set SCONS_MSCOMMON_DEBUG to - (hyphen, Minuszeichen), that is, enter
How do I do that?

Thanks,
BigJJ
BigJJ -- SG-O
Image
User avatar
Carsten
Site Admin
Posts: 2160
Joined: 2004-08-19, 13:46
Location: Germany
Contact:

Re: Its not possible to install "scons" on "python"

Post by Carsten » 2010-04-06, 22:30

Well, you enter it like any other command that you type at the command prompt.
Here is an example from my computer, where I first type dir SCons*, then set SCONS_MSCOMMON_DEBUG=- (the command referred to above), then scons -Q (followed by the beginning of the debug output that it now generates):

Code: Select all

D:\Dev\Cafu>dir SCons*
 Datenträger in Laufwerk D: ist Thunderbird
 Volumeseriennummer: 98DA-0697

 Verzeichnis von D:\Dev\Cafu

06.04.2010  13:14        15.555.486 .sconsign.dblite
23.12.2009  13:14            13.313 SConscript
26.03.2010  01:06            24.120 SConstruct
               3 Datei(en),     15.592.919 Bytes
               0 Verzeichnis(se), 73.455.284.224 Bytes frei

D:\Dev\Cafu>set SCONS_MSCOMMON_DEBUG=-

D:\Dev\Cafu>scons -Q
trying to find VC 10.0
find_vc_dir(): no VC registry key 'Software\\Microsoft\\VisualStudio\\10.0\\Setup\\VC\\ProductDir'
find_vc_pdir return None for ver 10.0
trying to find VC 9.0
find_vc_dir(): no VC registry key 'Software\\Microsoft\\VisualStudio\\9.0\\Setup\\VC\\ProductDir'
find_vc_pdir return None for ver 9.0
trying to find VC 9.0Exp
...
Best regards,
Carsten
Locked

Who is online

Users browsing this forum: No registered users and 2 guests